#/**
#         ogr UnmountCache
#@brief   Desmonta la particion Cache y elimina la variable $OGCAC
#@param   sin parametros
#@return  nada
#@exception OG_ERR_CACHE  No existe partición de caché.
#@warning Salidas de errores no determinada
#@version 0.1 -  Integracion para Opengnsys  -  EAC: UmountCache() en FileSystem.lib 
#@author  Antonio J. Doblas Viso. Universidad de Malaga
#@Date    2008/10/27
#@version 0.91 - Adaptacion a la cache local de OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010/03/16
#*/ ##
# Variables locales.
local CACHE
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME"
    return
fi

# Desmontar sistema de archivos de caché.
CACHE=$(ogr FindCache) || ogr RaiseError $OG_ERR_CACHE "$MSG_NOCACHE" || return $?
ogr UnmountFs $CACHE
# Borrar enlace simbólico de /mnt/ParticiónCache.
rm -f $(ogr DiskToDev $CACHE | sed 's/dev/mnt/')
